> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subcontractor

> Get a subcontractor



## OpenAPI

````yaml GET /subcontractors/{id}
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /subcontractors/{id}:
    get:
      description: Get a subcontractor
      operationId: getSubcontractorById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            example: sub_clgbsb90b001qjy0f0eo1hspp
        - name: X-BuildPass-Api-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/X-BuildPass-Api-Version'
        - name: projectId
          in: query
          description: Filter returned statuses by project
          required: false
          schema:
            type: string
            example: proj_clgbsb90b001qjy0f0eo1hspp
      responses:
        '200':
          description: A subcontractor object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subcontractor'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
      security:
        - OAuth2: []
components:
  schemas:
    X-BuildPass-Api-Version:
      type: string
      example: v1
      default: v1
      enum:
        - v1
      description: What API version to use.
    Subcontractor:
      type: object
      properties:
        id:
          type: string
          example: sub_clgbsb90b001qjy0f0eo1hspp
        createdAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        updatedAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        name:
          type: string
          example: Andrews Brick Laying
        abn:
          type: string
          example: '98765432100'
        address:
          $ref: '#/components/schemas/Address'
        statuses:
          type: array
          enum:
            - NOT_INVITED
            - INVITED
            - SWMS_UPLOADED
            - INSURANCES_UPLOADED
            - SWMS_REVIEWED
            - INSURANCES_REVIEWED
          example:
            - INVITED
            - SWMS_UPLOADED
        tags:
          type: array
          items:
            type: string
          example:
            - bricklayer
        integrations:
          type: array
          items:
            $ref: '#/components/schemas/Integration'
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              fieldName:
                type: string
                example: name
              message:
                type: string
                example: This field is required.
    Address:
      type: object
      properties:
        street:
          type: string
          example: 123 Fake Street
        suburb:
          type: string
          example: Springfield
        state:
          type: string
          example: QLD
        postcode:
          type: string
          example: '4000'
        country:
          type: string
          example: Australia
    Integration:
      type: object
      properties:
        type:
          type: string
          enum:
            - PROCORE
          example: PROCORE
        sourceId:
          type: string
          example: '1234567890'
        companyId:
          type: string
          example: '1234567890'
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````